// -*- mode: C++ -*-

// AUTOGENERATED BY glean_parser.  DO NOT EDIT.

/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */

#ifndef mozilla_GleanNetwerkProtocolHttpMetrics_h
#define mozilla_GleanNetwerkProtocolHttpMetrics_h

#include "mozilla/glean/bindings/MetricTypes.h"

namespace mozilla::glean {

namespace networking {
  /**
   * generated from networking.data_transferred_v3_kb
   * How many KB of HTTP data transferred by type, there are some categories separated by keys based on 5 parameters:
   *   1. normal browsing or private browsing
   *   2. system principal or not
   *   3. first party or third party
   *   4. class of service (Leader/Background/Others)
   *   5. tracking classification (Basic/Content/FingerprintingContent)
   * 
   * Available keys are:
   *   "Y0_N1Sys",
   *   "Y1_N1",
   *   "Y2_N3Oth",
   *   "Y3_N3BasicLead",
   *   "Y4_N3BasicBg",
   *   "Y5_N3BasicOth",
   *   "Y6_N3ContentLead",
   *   "Y7_N3ContentBg",
   *   "Y8_N3ContentOth",
   *   "Y9_N3FpLead",
   *   "Y10_N3FpBg",
   *   "Y11_N3FpOth",
   *   "Y12_P1Sys",
   *   "Y13_P1",
   *   "Y14_P3Oth",
   *   "Y15_P3BasicLead",
   *   "Y16_P3BasicBg",
   *   "Y17_P3BasicOth",
   *   "Y18_P3ContentLead",
   *   "Y19_P3ContentBg",
   *   "Y20_P3ContentOth",
   *   "Y21_P3FpLead",
   *   "Y22_P3FpBg",
   *   "Y23_P3FpOth"
   * 
   * This metric was generated to correspond to the Legacy Telemetry scalar networking.data_transferred_v3_kb.
   */
  constexpr impl::Labeled<impl::CounterMetric, DynamicLabel> data_transferred_v3_kb(155);

  /**
   * generated from networking.http3_enabled
   * True if HTTP3 is enabled at the start of a session. This metric was generated to correspond to the Legacy Telemetry scalar networking.http3_enabled.
   */
  constexpr impl::BooleanMetric http3_enabled(156);

  /**
   * generated from networking.https_record_state
   */
  enum class HttpsRecordStateLabel: uint16_t {
    eInvalid = 0,
    eSucceeded = 1,
    eUnmatchedCname = 2,
    eAllExcluded = 3,
    eNoDefaultAlpn = 4,
    eOthers = 5,
    e__Other__,
  };
  /**
   * Gather the outcome of checking if a HTTPS record can be used: - "invalid" - "succeeded" - "unmatched_cname" - "all_excluded" - "no_default_alpn" - "others"
   */
  constexpr impl::Labeled<impl::CounterMetric, HttpsRecordStateLabel> https_record_state(157);

  /**
   * generated from networking.https_rr_prefs_usage
   * A bitfield representation for the usage of HTTPS RR prefs. bit 0: network.dns.upgrade_with_https_rr is enabled or not. bit 1: network.dns.use_https_rr_as_altsvc is enabled or not. bit 2: network.dns.echconfig.enabled is enabled or not. This metric was generated to correspond to the Legacy Telemetry scalar networking.https_rr_prefs_usage.
   */
  constexpr impl::QuantityMetric https_rr_prefs_usage(158);

  /**
   * generated from networking.trr_connection_cycle_count
   * Number of times we cycled the TRR connection during a subsession. Keyed by TRR provider URL. This metric was generated to correspond to the Legacy Telemetry scalar networking.trr_connection_cycle_count.
   */
  constexpr impl::Labeled<impl::CounterMetric, DynamicLabel> trr_connection_cycle_count(159);
}

namespace netwerk {
  /**
   * generated from netwerk.http3_0rtt_state
   */
  enum class Http30rttStateLabel: uint16_t {
    eNotUsed = 0,
    eSucceeded = 1,
    eRejected = 2,
    eConnError = 3,
    eConnClosedByNecko = 4,
    e__Other__,
  };
  /**
   * Gather the outcome of 0-RTT usage: - "not_used": 0RTT_NOT_USED - "succeeded": 0RTT_USED_SUCCESS - "rejected": 0RTT_USED_REJECT - "conn_error": 0RTT_USED_CONN_ERROR - "conn_closed_by_necko": 0RTT_CONN_CLOSED_BY_NECKO
   */
  constexpr impl::Labeled<impl::CounterMetric, Http30rttStateLabel> http3_0rtt_state(3798);

  /**
   * generated from netwerk.http3_0rtt_state_duration
   */
  enum class Http30rttStateDurationLabel: uint16_t {
    eSucceeded = 0,
    eRejected = 1,
    eConnError = 2,
    eConnClosedByNecko = 3,
    eNotUsed = 4,
    e__Other__,
  };
  /**
   * The time a connection was in the 0-RTT state
   */
  constexpr impl::Labeled<impl::TimingDistributionMetric, Http30rttStateDurationLabel> http3_0rtt_state_duration(3799);

  /**
   * generated from netwerk.http3_time_to_reuse_idle_connection
   */
  enum class Http3TimeToReuseIdleConnectionLabel: uint16_t {
    eSucceeded = 0,
    eFailed = 1,
    e__Other__,
  };
  /**
   * The time to reuse an idle connection in HTTP3 (ms); keyed by the transaction reusing an idle connection has succeeded or failed
   */
  constexpr impl::Labeled<impl::TimingDistributionMetric, Http3TimeToReuseIdleConnectionLabel> http3_time_to_reuse_idle_connection(3800);

  /**
   * generated from netwerk.parent_connect_timeout
   * Counts how often the parent-connect-timeout timer is necessary to clear up EarlyHintPreloader
   */
  constexpr impl::CounterMetric parent_connect_timeout(3801);
}

namespace network {
  /**
   * generated from network.alpn_mismatch_count
   * Counts the number of times we encountered a mismatched ALPN token and needed to reset the connection. Keyed by the negotiated NPN.
   */
  constexpr impl::Labeled<impl::CounterMetric, DynamicLabel> alpn_mismatch_count(3802);

  /**
   * generated from network.byte_range_request
   */
  enum class ByteRangeRequestLabel: uint16_t {
    eCacheable = 0,
    eNotCacheable = 1,
    e__Other__,
  };
  /**
   * Counts of cacheable/non-cacheable byte-range requests
   */
  constexpr impl::Labeled<impl::CounterMetric, ByteRangeRequestLabel> byte_range_request(3803);

  /**
   * generated from network.cache_hit_miss_stat_per_cache_size
   * Hit/Miss count split by cache size in file count Hit 0-5000, Miss 0-5000, Hit 5001-10000, ...
   */
  constexpr impl::Labeled<impl::CounterMetric, DynamicLabel> cache_hit_miss_stat_per_cache_size(3804);

  /**
   * generated from network.cache_hit_rate_per_cache_size
   * Hit rate for a specific cache size in file count. The hit rate is split into 20 buckets. The key is the cacheSize (20 buckets) and the value is between 0 and 100.
   */
  constexpr impl::Labeled<impl::CustomDistributionMetric, DynamicLabel> cache_hit_rate_per_cache_size(3805);

  /**
   * generated from network.cache_hit_time
   * Time to open existing cache entry file. (Migrated from the geckoview metric of the same name).
   */
  constexpr impl::TimingDistributionMetric cache_hit_time(3806);

  /**
   * generated from network.cache_miss_time
   * Time spent to find out a cache entry file is missing. (Migrated from the geckoview metric of the same name).
   */
  constexpr impl::TimingDistributionMetric cache_miss_time(3807);

  /**
   * generated from network.cache_read_time
   * In the HTTP page channel, time from connection cache read start to cache read end. Corresponds to Legacy histogram HTTP_PAGE_CACHE_READ_TIME_V2 in Desktop.
   */
  constexpr impl::TimingDistributionMetric cache_read_time(3808);

  /**
   * generated from network.complete_load
   * In the HTTP page channel, time from connection open to complete load (cache read end/until the last byte received) Corresponds to Legacy histogram HTTP_PAGE_COMPLETE_LOAD_V2 in Desktop.
   */
  constexpr impl::TimingDistributionMetric complete_load(3809);

  /**
   * generated from network.complete_load_cached
   * In the HTTP page channel, time from connection open to cache read end. Corresponds to Legacy histogram HTTP_PAGE_COMPLETE_LOAD_CACHED_V2 in Desktop.
   */
  constexpr impl::TimingDistributionMetric complete_load_cached(3810);

  /**
   * generated from network.complete_load_net
   * In the HTTP page channel, time from connection open to the last byte received. Corresponds to Legacy histogram HTTP_PAGE_COMPLETE_LOAD_NET_V2 in Desktop.
   */
  constexpr impl::TimingDistributionMetric complete_load_net(3811);

  /**
   * generated from network.cors_authorization_header
   */
  enum class CorsAuthorizationHeaderLabel: uint16_t {
    eAllowed = 0,
    eDisallowed = 1,
    eCoveredByWildcard = 2,
    e__Other__,
  };
  /**
   * Count how many times we see `Authorization` header in `Access-Control-Request-Headers` header and the possible outcomes.
   */
  constexpr impl::Labeled<impl::CounterMetric, CorsAuthorizationHeaderLabel> cors_authorization_header(3812);

  /**
   * generated from network.dns_end
   * In the HTTP page channel, time from the DNS request being issued to the response. Corresponds to Legacy histogram HTTP_PAGE_DNS_LOOKUP_TIME in Desktop. (Migrated from the geckoview metric of the same name).
   */
  constexpr impl::TimingDistributionMetric dns_end(3813);

  /**
   * generated from network.dns_start
   * In the HTTP page channel, time from connection open to the DNS request being issued. Corresponds to Legacy histogram HTTP_PAGE_DNS_ISSUE_TIME in Desktop. (Migrated from the geckoview metric of the same name).
   */
  constexpr impl::TimingDistributionMetric dns_start(3814);

  /**
   * generated from network.first_from_cache
   * In the HTTP page channel, time from connection open to cache read start. Corresponds to Legacy histogram HTTP_PAGE_OPEN_TO_FIRST_FROM_CACHE_V2 in Desktop.
   */
  constexpr impl::TimingDistributionMetric first_from_cache(3815);

  /**
   * generated from network.first_sent_to_last_received
   * In the HTTP page channel, time from first byte of request sent to the last byte received. Corresponds to Legacy histogram HTTP_PAGE_FIRST_SENT_TO_LAST_RECEIVED in Desktop. (Migrated from the geckoview metric of the same name).
   */
  constexpr impl::TimingDistributionMetric first_sent_to_last_received(3816);

  /**
   * generated from network.font_download_end
   * Time after navigationStart that all webfont downloads are completed. (Migrated from the geckoview metric of the same name).
   */
  constexpr impl::TimingDistributionMetric font_download_end(3817);

  /**
   * generated from network.http3_complete_load
   */
  enum class Http3CompleteLoadLabel: uint16_t {
    eUsesHttp3Page = 0,
    eUsesHttp3Sub = 1,
    eSupportsHttp3Page = 2,
    eSupportsHttp3Sub = 3,
    e__Other__,
  };
  /**
   * In the HTTP channel (keys: uses_http3_page, uses_http3_sub, supports_http3_page, supports_http3_sub), overall load time
   */
  constexpr impl::Labeled<impl::TimingDistributionMetric, Http3CompleteLoadLabel> http3_complete_load(3818);

  /**
   * generated from network.http3_first_sent_to_last_received
   */
  enum class Http3FirstSentToLastReceivedLabel: uint16_t {
    eUsesHttp3Page = 0,
    eUsesHttp3Sub = 1,
    eSupportsHttp3Page = 2,
    eSupportsHttp3Sub = 3,
    e__Other__,
  };
  /**
   * In the HTTP channel (keys: uses_http3_page, uses_http3_sub, supports_http3_page, supports_http3_sub), time from first byte of request sent to last byte of response received
   */
  constexpr impl::Labeled<impl::TimingDistributionMetric, Http3FirstSentToLastReceivedLabel> http3_first_sent_to_last_received(3819);

  /**
   * generated from network.http3_open_to_first_received
   */
  enum class Http3OpenToFirstReceivedLabel: uint16_t {
    eUsesHttp3Page = 0,
    eUsesHttp3Sub = 1,
    eSupportsHttp3Page = 2,
    eSupportsHttp3Sub = 3,
    e__Other__,
  };
  /**
   * In the HTTP channel (keys: uses_http3_page, uses_http3_sub, supports_http3_page, supports_http3_sub), time from open to first byte of reply received
   */
  constexpr impl::Labeled<impl::TimingDistributionMetric, Http3OpenToFirstReceivedLabel> http3_open_to_first_received(3820);

  /**
   * generated from network.http3_open_to_first_sent
   */
  enum class Http3OpenToFirstSentLabel: uint16_t {
    eUsesHttp3Page = 0,
    eUsesHttp3Sub = 1,
    eSupportsHttp3Page = 2,
    eSupportsHttp3Sub = 3,
    e__Other__,
  };
  /**
   * In the HTTP channel (keys: uses_http3_page, uses_http3_sub, supports_http3_page, supports_http3_sub), time from open to first byte of request
   */
  constexpr impl::Labeled<impl::TimingDistributionMetric, Http3OpenToFirstSentLabel> http3_open_to_first_sent(3821);

  /**
   * generated from network.http3_tls_handshake
   */
  enum class Http3TlsHandshakeLabel: uint16_t {
    eUsesHttp3Page = 0,
    eUsesHttp3Sub = 1,
    eSupportsHttp3Page = 2,
    eSupportsHttp3Sub = 3,
    e__Other__,
  };
  /**
   * In the HTTP channel (keys: uses_http3_page, uses_http3_sub, supports_http3_page, supports_http3_sub), time from secure connection start (after TCP SYN) to ready for HTTP
   */
  constexpr impl::Labeled<impl::TimingDistributionMetric, Http3TlsHandshakeLabel> http3_tls_handshake(3822);

  /**
   * generated from network.http_fetch_duration
   */
  enum class HttpFetchDurationLabel: uint16_t {
    eH3Cloudflare = 0,
    eH3Others = 1,
    eH2Cloudflare = 2,
    eH2Others = 3,
    eH1Cloudflare = 4,
    eH1Others = 5,
    e__Other__,
  };
  /**
   * The time between requestStart and responseEnd, keyed by the server header
   */
  constexpr impl::Labeled<impl::TimingDistributionMetric, HttpFetchDurationLabel> http_fetch_duration(3823);

  /**
   * generated from network.http_revalidation
   * In the HTTP page channel, time for positive cache validation Corresponds to Legacy histogram HTTP_PAGE_REVALIDATION in Desktop.
   */
  constexpr impl::TimingDistributionMetric http_revalidation(3824);

  /**
   * generated from network.open_to_first_received
   * In the HTTP subitem channel,time from connection open to the first byte received. Corresponds to Legacy histogram HTTP_PAGE_OPEN_TO_FIRST_RECEIVED in Desktop. (Migrated from the geckoview metric of the same name).
   */
  constexpr impl::TimingDistributionMetric open_to_first_received(3825);

  /**
   * generated from network.open_to_first_sent
   * In the HTTP page channel, time from connection open to the first byte of requst sent. Corresponds to Legacy histogram HTTP_PAGE_OPEN_TO_FIRST_SENT in Desktop. (Migrated from the geckoview metric of the same name).
   */
  constexpr impl::TimingDistributionMetric open_to_first_sent(3826);

  /**
   * generated from network.sub_cache_read_time
   * In the HTTP subitem channel, time from connection cache read start to cache read end. Corresponds to Legacy histogram HTTP_SUB_CACHE_READ_TIME_V2 in Desktop.
   */
  constexpr impl::TimingDistributionMetric sub_cache_read_time(3827);

  /**
   * generated from network.sub_complete_load
   * In the HTTP subitem channel, time from connection open to complete load (cache read end/until the last byte received) Corresponds to Legacy histogram HTTP_SUB_COMPLETE_LOAD_V2 in Desktop.
   */
  constexpr impl::TimingDistributionMetric sub_complete_load(3828);

  /**
   * generated from network.sub_complete_load_cached
   * In the HTTP subitem channel, time from connection open to cache read end. Corresponds to Legacy histogram HTTP_SUB_COMPLETE_LOAD_CACHED_V2 in Desktop.
   */
  constexpr impl::TimingDistributionMetric sub_complete_load_cached(3829);

  /**
   * generated from network.sub_complete_load_net
   * In the HTTP subitem channel, time from connection open to the last byte received. Corresponds to Legacy histogram HTTP_SUB_COMPLETE_LOAD_NET_V2 in Desktop.
   */
  constexpr impl::TimingDistributionMetric sub_complete_load_net(3830);

  /**
   * generated from network.sub_dns_end
   * In the HTTP subitem channel, time from the DNS request being issued to the response. Corresponds to Legacy histogram HTTP_SUB_DNS_LOOKUP_TIME in Desktop. (Migrated from the geckoview metric of the same name).
   */
  constexpr impl::TimingDistributionMetric sub_dns_end(3831);

  /**
   * generated from network.sub_dns_start
   * In the HTTP subitem channel, time from connection open to the DNS request being issued. Corresponds to Legacy histogram HTTP_SUB_DNS_ISSUE_TIME in Desktop. (Migrated from the geckoview metric of the same name).
   */
  constexpr impl::TimingDistributionMetric sub_dns_start(3832);

  /**
   * generated from network.sub_first_from_cache
   * In the HTTP subitem channel, time from connection open to cache read start. Corresponds to Legacy histogram HTTP_SUB_OPEN_TO_FIRST_FROM_CACHE_V2 in Desktop.
   */
  constexpr impl::TimingDistributionMetric sub_first_from_cache(3833);

  /**
   * generated from network.sub_first_sent_to_last_received
   * In the HTTP subitem channel, time from first byte of request sent to the last byte received. Corresponds to Legacy histogram HTTP_SUB_FIRST_SENT_TO_LAST_RECEIVED in Desktop. (Migrated from the geckoview metric of the same name).
   */
  constexpr impl::TimingDistributionMetric sub_first_sent_to_last_received(3834);

  /**
   * generated from network.sub_http_revalidation
   * In the HTTP subitem channel, time for positive cache validation Corresponds to Legacy histogram HTTP_SUB_REVALIDATION in Desktop.
   */
  constexpr impl::TimingDistributionMetric sub_http_revalidation(3835);

  /**
   * generated from network.sub_open_to_first_received
   * In the HTTP subitem channel, time from connection open to the first byte received. Corresponds to Legacy histogram HTTP_SUB_OPEN_TO_FIRST_RECEIVED in Desktop. (Migrated from the geckoview metric of the same name).
   */
  constexpr impl::TimingDistributionMetric sub_open_to_first_received(3836);

  /**
   * generated from network.sub_open_to_first_sent
   * In the HTTP subitem channel, time from connection open to the first byte of requst sent. Corresponds to Legacy histogram HTTP_SUB_OPEN_TO_FIRST_SENT in Desktop. (Migrated from the geckoview metric of the same name).
   */
  constexpr impl::TimingDistributionMetric sub_open_to_first_sent(3837);

  /**
   * generated from network.sub_tcp_connection
   * In the HTTP subitem channel, time from the TCP SYN packet is received to the connection is established and ready for HTTP. Corresponds to Legacy histogram HTTP_SUB_TCP_CONNECTION_2 in Desktop (Migrated from the geckoview metric of the same name).
   */
  constexpr impl::TimingDistributionMetric sub_tcp_connection(3838);

  /**
   * generated from network.sub_tls_handshake
   * In the HTTP subitem channel, time from after the TCP SYN packet is received to the secure connection is established and ready for HTTP. Corresponds to Legacy histogram HTTP_SUB_TLS_HANDSHAKE in Desktop. (Migrated from the geckoview metric of the same name).
   */
  constexpr impl::TimingDistributionMetric sub_tls_handshake(3839);

  /**
   * generated from network.sup_http3_tcp_connection
   */
  enum class SupHttp3TcpConnectionLabel: uint16_t {
    eSupportsHttp3Page = 0,
    eSupportsHttp3Sub = 1,
    e__Other__,
  };
  /**
   * In the HTTP channel (keys: supports_http3_page, supports_http3_sub), time from TCP SYN to ready for HTTP
   */
  constexpr impl::Labeled<impl::TimingDistributionMetric, SupHttp3TcpConnectionLabel> sup_http3_tcp_connection(3840);

  /**
   * generated from network.system_channel_addon_status
   */
  enum class SystemChannelAddonStatusLabel: uint16_t {
    eOk = 0,
    eOffline = 1,
    eConnectivity = 2,
    eDns = 3,
    eConnectFail = 4,
    eTlsFail = 5,
    eHttpStatus = 6,
    eCancel = 7,
    eTimeout = 8,
    eReset = 9,
    eRefused = 10,
    ePartial = 11,
    eOther = 12,
    e__Other__,
  };
  /**
   * Counts the status of succeeded and failed requests to addons.mozilla.org
   */
  constexpr impl::Labeled<impl::CounterMetric, SystemChannelAddonStatusLabel> system_channel_addon_status(3841);

  /**
   * generated from network.system_channel_addonversion_status
   */
  enum class SystemChannelAddonversionStatusLabel: uint16_t {
    eOk = 0,
    eOffline = 1,
    eConnectivity = 2,
    eDns = 3,
    eConnectFail = 4,
    eTlsFail = 5,
    eHttpStatus = 6,
    eCancel = 7,
    eTimeout = 8,
    eReset = 9,
    eRefused = 10,
    ePartial = 11,
    eOther = 12,
    e__Other__,
  };
  /**
   * Counts the status of succeeded and failed requests to *.addons.mozilla.org
   */
  constexpr impl::Labeled<impl::CounterMetric, SystemChannelAddonversionStatusLabel> system_channel_addonversion_status(3842);

  /**
   * generated from network.system_channel_other_status
   */
  enum class SystemChannelOtherStatusLabel: uint16_t {
    eOk = 0,
    eOffline = 1,
    eConnectivity = 2,
    eDns = 3,
    eConnectFail = 4,
    eTlsFail = 5,
    eHttpStatus = 6,
    eCancel = 7,
    eTimeout = 8,
    eReset = 9,
    eRefused = 10,
    ePartial = 11,
    eOther = 12,
    e__Other__,
  };
  /**
   * Counts the status of succeeded and failed requests to other mozilla.org domains
   */
  constexpr impl::Labeled<impl::CounterMetric, SystemChannelOtherStatusLabel> system_channel_other_status(3843);

  /**
   * generated from network.system_channel_remote_settings_status
   */
  enum class SystemChannelRemoteSettingsStatusLabel: uint16_t {
    eOk = 0,
    eOffline = 1,
    eConnectivity = 2,
    eDns = 3,
    eConnectFail = 4,
    eTlsFail = 5,
    eHttpStatus = 6,
    eCancel = 7,
    eTimeout = 8,
    eReset = 9,
    eRefused = 10,
    ePartial = 11,
    eOther = 12,
    e__Other__,
  };
  /**
   * Counts the status of succeeded and failed requests to firefox.settings.services.mozilla.com
   */
  constexpr impl::Labeled<impl::CounterMetric, SystemChannelRemoteSettingsStatusLabel> system_channel_remote_settings_status(3844);

  /**
   * generated from network.system_channel_success_or_failure
   */
  enum class SystemChannelSuccessOrFailureLabel: uint16_t {
    eOk = 0,
    eOffline = 1,
    eConnectivity = 2,
    eDns = 3,
    eConnectFail = 4,
    eTlsFail = 5,
    eHttpStatus = 6,
    eCancel = 7,
    eTimeout = 8,
    eReset = 9,
    eRefused = 10,
    ePartial = 11,
    eOther = 12,
    e__Other__,
  };
  /**
   * Counts the number of succeeded and failed channels with a system principal to a mozilla domain. Label contains ok or failure reason.
   */
  constexpr impl::Labeled<impl::CounterMetric, SystemChannelSuccessOrFailureLabel> system_channel_success_or_failure(3845);

  /**
   * generated from network.system_channel_telemetry_status
   */
  enum class SystemChannelTelemetryStatusLabel: uint16_t {
    eOk = 0,
    eOffline = 1,
    eConnectivity = 2,
    eDns = 3,
    eConnectFail = 4,
    eTlsFail = 5,
    eHttpStatus = 6,
    eCancel = 7,
    eTimeout = 8,
    eReset = 9,
    eRefused = 10,
    ePartial = 11,
    eOther = 12,
    e__Other__,
  };
  /**
   * Counts the status of succeeded and failed requests to incoming.telemetry.mozilla.org
   */
  constexpr impl::Labeled<impl::CounterMetric, SystemChannelTelemetryStatusLabel> system_channel_telemetry_status(3846);

  /**
   * generated from network.system_channel_update_status
   */
  enum class SystemChannelUpdateStatusLabel: uint16_t {
    eOk = 0,
    eOffline = 1,
    eConnectivity = 2,
    eDns = 3,
    eConnectFail = 4,
    eTlsFail = 5,
    eHttpStatus = 6,
    eCancel = 7,
    eTimeout = 8,
    eReset = 9,
    eRefused = 10,
    ePartial = 11,
    eOther = 12,
    e__Other__,
  };
  /**
   * Counts the status of succeeded and failed requests to aus5.mozilla.org
   */
  constexpr impl::Labeled<impl::CounterMetric, SystemChannelUpdateStatusLabel> system_channel_update_status(3847);

  /**
   * generated from network.tcp_connection
   * In the HTTP page channel, time from the TCP SYN packet is received to the connection is established and ready for HTTP. Corresponds to Legacy histogram HTTP_PAGE_TCP_CONNECTION_2 in Desktop (Migrated from the geckoview metric of the same name).
   */
  constexpr impl::TimingDistributionMetric tcp_connection(3848);

  /**
   * generated from network.tls_early_data_accepted
   */
  enum class TlsEarlyDataAcceptedLabel: uint16_t {
    eAccepted = 0,
    eRejected = 1,
    e__Other__,
  };
  /**
   * TLS early data was used and it was accepted or rejected by the remote host.
   */
  constexpr impl::Labeled<impl::CounterMetric, TlsEarlyDataAcceptedLabel> tls_early_data_accepted(3849);

  /**
   * generated from network.tls_early_data_bytes_written
   * Amount of bytes sent using TLS early data at the start of a TLS connection for a given channel.
   */
  constexpr impl::CustomDistributionMetric tls_early_data_bytes_written(3850);

  /**
   * generated from network.tls_early_data_negotiated
   */
  enum class TlsEarlyDataNegotiatedLabel: uint16_t {
    eNotAvailable = 0,
    eAvailableAndUsed = 1,
    eAvailableButNotUsed = 2,
    e__Other__,
  };
  /**
   * Sending TLS early data was not possible, possible and used, or possible but not used.
   */
  constexpr impl::Labeled<impl::CounterMetric, TlsEarlyDataNegotiatedLabel> tls_early_data_negotiated(3851);

  /**
   * generated from network.tls_handshake
   * In the HTTP page channel, time from after the TCP SYN packet is received to the secure connection is established and ready for HTTP. Corresponds to Legacy histogram HTTP_PAGE_TLS_HANDSHAKE in Desktop. (Migrated from the geckoview metric of the same name).
   */
  constexpr impl::TimingDistributionMetric tls_handshake(3852);
}

namespace opaque_response_blocking {
  /**
   * generated from opaque.response.blocking.cross_origin_opaque_response_count
   * The number of loads of cross origin opaque resources. This metric was generated to correspond to the Legacy Telemetry scalar opaque.response.blocking.cross_origin_opaque_response_count.
   */
  constexpr impl::CounterMetric cross_origin_opaque_response_count(3853);

  /**
   * generated from opaque.response.blocking.javascript_validation_count
   * The number of times we run the JS validator. This metric was generated to correspond to the Legacy Telemetry scalar opaque.response.blocking.javascript_validation_count.
   */
  constexpr impl::CounterMetric javascript_validation_count(3854);
}

namespace orb {
  /**
   * generated from orb.block_initiator
   */
  enum class BlockInitiatorLabel: uint16_t {
    eInvalid = 0,
    eOther = 1,
    eFilteredFetch = 2,
    eBlockedFetch = 3,
    eJson = 4,
    eScript = 5,
    eImage = 6,
    eStylesheet = 7,
    eXmlhttprequest = 8,
    eDtd = 9,
    eFont = 10,
    eMedia = 11,
    eCspReport = 12,
    eXslt = 13,
    eImageset = 14,
    eWebManifest = 15,
    eSpeculative = 16,
    eUaFont = 17,
    eProxiedWebrtcMedia = 18,
    ePing = 19,
    eBeacon = 20,
    eWebTransport = 21,
    eExcluded = 22,
    e__Other__,
  };
  /**
   * The initiator of this ORB blocked request.
   * This metric was generated to correspond to the Legacy Telemetry categorical histogram ORB_BLOCK_INITIATOR.
   */
  constexpr impl::Labeled<impl::CounterMetric, BlockInitiatorLabel> block_initiator(3855);

  /**
   * generated from orb.block_reason
   */
  enum class BlockReasonLabel: uint16_t {
    eMimeNeverSniffed = 0,
    eResp206Blclisted = 1,
    eNosniffBlcOrTextp = 2,
    eResp206NoFirst = 3,
    eAfterSniffMedia = 4,
    eAfterSniffNosniff = 5,
    eAfterSniffStaCode = 6,
    eAfterSniffCtFail = 7,
    eMediaNotInitial = 8,
    eMediaIncorrectResp = 9,
    eJsValidationFailed = 10,
    e__Other__,
  };
  /**
   * The reason of why this request was blocked by ORB
   * This metric was generated to correspond to the Legacy Telemetry categorical histogram ORB_BLOCK_REASON.
   */
  constexpr impl::Labeled<impl::CounterMetric, BlockReasonLabel> block_reason(3856);

  /**
   * generated from orb.did_ever_block_response
   */
  enum class DidEverBlockResponseLabel: uint16_t {
    eFalse = 0,
    eTrue = 1,
    e__Other__,
  };
  /**
   * If any opaque response was blocked for a given top-level window context.
   * This metric was generated to correspond to the Legacy Telemetry boolean histogram ORB_DID_EVER_BLOCK_RESPONSE.
   */
  constexpr impl::Labeled<impl::CounterMetric, DidEverBlockResponseLabel> did_ever_block_response(3857);

  /**
   * generated from orb.javascript_validation
   * Time (in ms) that it takes for a ORB JavaScript validator to complete a validation, including IPC to the validator actor.
   * This metric was generated to correspond to the Legacy Telemetry exponential histogram ORB_JAVASCRIPT_VALIDATION_MS.
   */
  constexpr impl::Labeled<impl::TimingDistributionMetric, DynamicLabel> javascript_validation(3858);

  /**
   * generated from orb.receive_data_for_validation
   * Time (in ms) that it takes to receive data for ORB JavaScript validation, including IPC to the validator actor.
   * This metric was generated to correspond to the Legacy Telemetry exponential histogram ORB_RECEIVE_DATA_FOR_VALIDATION_MS.
   */
  constexpr impl::Labeled<impl::TimingDistributionMetric, DynamicLabel> receive_data_for_validation(3859);
}

} // namespace mozilla::glean

#endif // mozilla_GleanNetwerkProtocolHttpMetrics_h
